// -*- c++ -*-
/***************************************************************************
                           picturewidgetimpl.h
                           -------------------
    begin                : Sun Sep 6 2003
    copyright            : (C) 2003 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef PICTUREWIDGETIMPL_H
#define PICTUREWIDGETIMPL_H

#include "picturewidget.h"
#include "settingsdialogpage.h"

class Kdetv;
class SourceManager;
class ConfigData;
class KConfig;

/**
 * @author Dirk Ziegelmeier <dziegel@gmx.de>
 */

class PictureWidgetImpl : public PictureWidget, public SettingsDialogPage
{
    Q_OBJECT
    
public: 
    PictureWidgetImpl(QWidget*, Kdetv*, ConfigData*);
    ~PictureWidgetImpl();

    
public slots:
    virtual void setup();
    virtual void apply();
    virtual void defaults();
    virtual void cancel();


private slots:
    void slotHueChanged(int);
    void slotColourChanged(int);
    void slotBrightnessChanged(int);
    void slotWhitenessChanged(int);
    void slotContrastChanged(int);


private:
    Kdetv*         _ktv;
    SourceManager* _srcm;
    ConfigData*    _cfg;

    int _oldHue;
    int _oldColour;
    int _oldBrightness;
    int _oldWhiteness;
    int _oldContrast;
};

#endif
